Costfluent Docs
  • Pricing
  • Changelog
  • costfluent.com
  • Documentation
  • Guides
  • API Reference
Product
  • Pricing
  • Security
  • Changelog
Developers
  • API reference
  • Terraform
  • llms.txt
Legal
  • Privacy
  • Terms
  • Imprint
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedelete
Workspace Providers
    List workspace providersgetCreate workspace providerpostGet workspace providergetUpdate workspace providerputDelete workspace providerdelete
Virtual Tags
    List virtual tagsgetCreate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Users
    List usersgetInvite userpostGet userget
Teams
    List teamsgetCreate teampostGet teamgetUpdate teamputDelete teamdeleteAdd team memberpostUpdate team memberputRemove team memberdeleteList team workspace accessgetSet team workspace accessputRemove team workspace accessdelete
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetUpdate providerputDelete providerdeleteGet available providersgetGet the AWS connectorgetGet provider sync historygetProvision the GCP service accountpostTest provider connectionpostTrigger provider syncpost
Kubernetes
    Report Kubernetes usagepost
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdeleteSet folder saved filterput
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostCreate dashboard widgetpostGet dashboardgetUpdate dashboardputDelete dashboarddeleteGet dashboard widgetgetUpdate dashboard widgetputDelete dashboard widgetdeleteSet dashboard saved filterput
Custom Provider
    List uploadsgetUpload cost filespostGet uploadgetDelete uploaddeleteSubmit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Filters
    Translate a cost filterget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Business Metrics
    List business metricsgetCreate business metricpostGet business metricgetUpdate business metricputDelete business metricdeleteList business metric valuesgetImport business metric valuespost
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Audit Logs
    List audit logget
Apps
    List appsgetCreate apppostGet appgetUpdate appputDelete appdelete
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Schemas
Costfluent Public API
Costfluent Public API

Teams

Download schema

List teams

GET
https://api.costfluent.com
/v1/teams
Bearer (API token)

Returns the organization's teams, the Everyone team included. Needs an organization token.

List teams › query Parameters

page
​integer · int32 · required
limit
​integer · int32 · required

List teams › Responses

Success

PaginatedResponseOfTeamResponse
​PaginationLinks · required
​TeamResponse[] · required
GET/v1/teams
curl 'https://api.costfluent.com/v1/teams?page=<number>&limit=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "links": { "self": "self", "first": "first", "prev": "prev", "next": "next", "last": "last" }, "data": [ { "id": "id", "name": "name", "isSystemTeam": true, "memberCount": 0, "createdAt": "2024-08-25T15:00:00Z" } ] }
json
application/json

Create team

POST
https://api.costfluent.com
/v1/teams
Bearer (API token)

Creates a team with no members and no workspace access. Team names are unique in the organization.

Create team › Request Body

CreateTeamRequest
name
​string · minLength: 0 · maxLength: 200 · required

Create team › Responses

Created

TeamResponse
id
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required
name
​string · required
isSystemTeam
​boolean
memberCount
​integer · int32
createdAt
​string · date-time
POST/v1/teams
curl https://api.costfluent.com/v1/teams \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "name": "name" }'
Example Request Body
{ "name": "name" }
json
Example Responses
{ "id": "id", "name": "name", "isSystemTeam": true, "memberCount": 0, "createdAt": "2024-08-25T15:00:00Z" }
json
application/json

Get team

GET
https://api.costfluent.com
/v1/teams/{teamId}
Bearer (API token)

Returns a team with its members and its workspace access

Get team › path Parameters

teamId
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required

Get team › Responses

Success

TeamDetailResponse
id
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required
name
​string · required
​TeamMemberResponse[] · required
​TeamWorkspaceAccessResponse[] · required
isSystemTeam
​boolean
createdAt
​string · date-time
GET/v1/teams/{teamId}
curl https://api.costfluent.com/v1/teams/:teamId \ --header 'Authorization: Bearer <token>'
Example Responses
{ "id": "id", "name": "name", "isSystemTeam": true, "members": [ { "userId": "userId", "email": "email", "firstName": "firstName", "lastName": "lastName", "role": "viewer", "joinedAt": "2024-08-25T15:00:00Z" } ], "workspaceAccess": [ { "workspaceId": "workspaceId", "workspaceName": "workspaceName", "accessLevel": "noAccess" } ], "createdAt": "2024-08-25T15:00:00Z" }
json
application/json

Update team

PUT
https://api.costfluent.com
/v1/teams/{teamId}
Bearer (API token)

Renames a team. The Everyone team cannot be renamed.

Update team › path Parameters

teamId
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required

Update team › Request Body

UpdateTeamRequest
name
​string · minLength: 0 · maxLength: 200 · required

Update team › Responses

Success

TeamResponse
id
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required
name
​string · required
isSystemTeam
​boolean
memberCount
​integer · int32
createdAt
​string · date-time
PUT/v1/teams/{teamId}
curl https://api.costfluent.com/v1/teams/:teamId \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "name": "name" }'
Example Request Body
{ "name": "name" }
json
Example Responses
{ "id": "id", "name": "name", "isSystemTeam": true, "memberCount": 0, "createdAt": "2024-08-25T15:00:00Z" }
json
application/json

Delete team

DELETE
https://api.costfluent.com
/v1/teams/{teamId}
Bearer (API token)

Deletes a team, its memberships and its workspace access. The Everyone team cannot be deleted.

Delete team › path Parameters

teamId
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required

Delete team › Responses

No Content

No data returned
DELETE/v1/teams/{teamId}
curl https://api.costfluent.com/v1/teams/:teamId \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Add team member

POST
https://api.costfluent.com
/v1/teams/{teamId}/members
Bearer (API token)

Adds a member of the organization to a team with a role. A user already in the team is a conflict.

Add team member › path Parameters

teamId
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required

Add team member › Request Body

AddTeamMemberRequest
userId
​UserPublicId · pattern: ^usr_[A-Za-z0-9_-]{2… · required
role
​TeamRole · enum · required
Enum values:
viewer
editor
owner

Add team member › Responses

No Content

No data returned
POST/v1/teams/{teamId}/members
curl https://api.costfluent.com/v1/teams/:teamId/members \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "userId": "userId", "role": "viewer" }'
Example Request Body
{ "userId": "userId", "role": "viewer" }
json
Example Responses
No example specified for this content type

Update team member

PUT
https://api.costfluent.com
/v1/teams/{teamId}/members/{userId}
Bearer (API token)

Changes a team member's role

Update team member › path Parameters

teamId
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required
userId
​UserPublicId · pattern: ^usr_[A-Za-z0-9_-]{2… · required

Update team member › Request Body

UpdateTeamMemberRequest
role
​TeamRole · enum · required
Enum values:
viewer
editor
owner

Update team member › Responses

No Content

No data returned
PUT/v1/teams/{teamId}/members/{userId}
curl https://api.costfluent.com/v1/teams/:teamId/members/:userId \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "role": "viewer" }'
Example Request Body
{ "role": "viewer" }
json
Example Responses
No example specified for this content type

Remove team member

DELETE
https://api.costfluent.com
/v1/teams/{teamId}/members/{userId}
Bearer (API token)

Removes a member from a team. Nobody can be removed from the Everyone team.

Remove team member › path Parameters

teamId
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required
userId
​UserPublicId · pattern: ^usr_[A-Za-z0-9_-]{2… · required

Remove team member › Responses

No Content

No data returned
DELETE/v1/teams/{teamId}/members/{userId}
curl https://api.costfluent.com/v1/teams/:teamId/members/:userId \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

List team workspace access

GET
https://api.costfluent.com
/v1/teams/{teamId}/workspaces
Bearer (API token)

Returns the workspaces a team has an access level on

List team workspace access › path Parameters

teamId
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required

List team workspace access › query Parameters

page
​integer · int32 · required
limit
​integer · int32 · required

List team workspace access › Responses

Success

PaginatedResponseOfTeamWorkspaceAccessResponse
​PaginationLinks · required
​TeamWorkspaceAccessResponse[] · required
GET/v1/teams/{teamId}/workspaces
curl 'https://api.costfluent.com/v1/teams/:teamId/workspaces?page=<number>&limit=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "links": { "self": "self", "first": "first", "prev": "prev", "next": "next", "last": "last" }, "data": [ { "workspaceId": "workspaceId", "workspaceName": "workspaceName", "accessLevel": "noAccess" } ] }
json
application/json

Set team workspace access

PUT
https://api.costfluent.com
/v1/teams/{teamId}/workspaces/{workspaceId}
Bearer (API token)

Sets the access level a team's members have on a workspace, replacing any level it had

Set team workspace access › path Parameters

teamId
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required
workspaceId
​WorkspacePublicId · pattern: ^wsp_[A-Za-z0-9_-]{2… · required

Set team workspace access › Request Body

SetTeamWorkspaceAccessRequest
accessLevel
​WorkspaceAccessLevel · enum · required
Enum values:
noAccess
canView
canEdit

Set team workspace access › Responses

No Content

No data returned
PUT/v1/teams/{teamId}/workspaces/{workspaceId}
curl https://api.costfluent.com/v1/teams/:teamId/workspaces/:workspaceId \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "accessLevel": "noAccess" }'
Example Request Body
{ "accessLevel": "noAccess" }
json
Example Responses
No example specified for this content type

Remove team workspace access

DELETE
https://api.costfluent.com
/v1/teams/{teamId}/workspaces/{workspaceId}
Bearer (API token)

Removes a team's access level on a workspace

Remove team workspace access › path Parameters

teamId
​TeamPublicId · pattern: ^team_[A-Za-z0-9_-]{… · required
workspaceId
​WorkspacePublicId · pattern: ^wsp_[A-Za-z0-9_-]{2… · required

Remove team workspace access › Responses

No Content

No data returned
DELETE/v1/teams/{teamId}/workspaces/{workspaceId}
curl https://api.costfluent.com/v1/teams/:teamId/workspaces/:workspaceId \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

UsersTags